<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class DeletedAtTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('deleted_at')
            ->label('تاریخ حذف')
            ->sortable()
            ->jalaliDateTime()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
